# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	origname slf4j

Name:		spacewalk-slf4j
Version:	1.6.1
Release:	6%{?dist}
Summary:	Simple Logging Facade for Java

Group:		Development/Libraries
License:	MIT
URL:		http://www.slf4j.org/
Source0:	%{origname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{origname}-%{version}-%{release}-buildroot
BuildArch: 	noarch

Requires:	java >= 1.5
Requires:	jpackage-utils
Provides:       slf4j = %{version}-%{release}
Obsoletes:       slf4j < %{version}-%{release}

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve
as a simple facade for various logging APIs allowing to the end-user
to plug in the desired implementation at deployment time. SLF4J also
allows for a gradual migration path away from
Jakarta Commons Logging (JCL).

This %{origname} packaging is used for Spacewalk Taskomatic and Search Server

%prep
%setup -q -n %{origname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{origname}

cp -p %{origname}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{origname}/api-%{version}.jar
cp -p %{origname}-jcl-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{origname}/jcl-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{origname} && for jar in *-%{version}*
    do jar_nv=`echo $jar | sed  "s|-%{version}||g"`
    ln -sf ${jar} ${jar_nv}
    ln -sf %{origname}/${jar_nv} ../%{origname}-${jar_nv}
done)

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_javadir}/%{origname}-api.jar
%{_javadir}/%{origname}/api.jar
%{_javadir}/%{origname}/api-%{version}.jar
%{_javadir}/%{origname}-jcl.jar
%{_javadir}/%{origname}/jcl.jar
%{_javadir}/%{origname}/jcl-%{version}.jar

%changelog
* Tue Apr 09 2013 Michael Mraka <michael.mraka@redhat.com> 1.6.1-6
- fixing upgrade from slf4j

* Tue Jan 29 2013 Michael Mraka <michael.mraka@redhat.com> 1.6.1-5
- provide slf4j with version

* Mon Apr 11 2011 Tomas Lestach <tlestach@redhat.com> 1.6.1-4
- add slf4j compatible symlinks (tlestach@redhat.com)

* Mon Mar 28 2011 Michael Mraka <michael.mraka@redhat.com> 1.6.1-3
- provide standard slf4j

* Thu Jul 29 2010 Shannon Hughes <shughes@redhat.com> 1.6.1-2
- new package built with tito

* Tue Jul 27 2010 Shannon Hughes <shughes@redhat.com> 1.6.1
- Initial package build
